• avatar dcm999
  • 0
Я может чего не понимаю, подскажите пожалуйста. Как на странице «Избранные товары» вывести весь список товаров, которые попали в «избранное»? Если на странице размещен плейсхолдер [+eFavoriteDocs+], то просто выводятся id ресурсов через запятую. Если я этот плейсхолдер подставляю в параметр &documents=`[+eFavoriteDocs+]` DocLister`а, то ничего не происходит.
Причём, если смотреть разметку, то при выводе id`шников добавляются множество пробелов и переносов строк. Производил манипуляции со сниппетом, посредством удаления строк и переносов у переменной eFavoriteDocs, но безрезультатно. Приведите пожалуйста примеры, как правильно выводить список через DocLister? Заранее благодарен.
  • avatar gk71
  • 0
ddTypograph не подходит?
  • avatar fc3000
  • 0
Можно написать простой плагин на событие сохранения документа OnDocFormSave, который и будет менять.
К сожалению, не владею такими знаниями.

А еще можете почитать про настройки (валидные элементы и тому подобное) TinyMce, возможно прямо там это можно сделать, но не уверен на 100%.
Даже если так, но ведь названия страниц и пр не будут меняться…
Можно написать простой плагин на событие сохранения документа OnDocFormSave, который и будет менять.

А еще можете почитать про настройки (валидные элементы и тому подобное) TinyMce, возможно прямо там это можно сделать, но не уверен на 100%.
Да, я уже сам догадался. Видимо, изначально проблема была в этом.
  • avatar dukeRD
  • 0
судя по всему это у вас фтп-менеджер переводит все имена файлов в нижний регистр, и поэтому система при установке просто не находит их. У тотал коммандера точно есть такой чекбокс. Удалите все файлы и залейте их нормально.
Х/З
Проверил эту версию, такая же хрень с Warning: require_once(lang/russian-UTF8.inc.php): failed to open stream: No such file or directory in /var/www/u1345053/public_html/install/lang.php on line 51

Fatal error: require_once(): Failed opening required 'lang/russian-UTF8.inc.php' (include_path='.:') in /var/www/u1345053/public_html/install/lang.php on line 51

Что-то с хостерами не то стало или как?
composer/../symfony/translation/Resources/functions.php) — вот это непонятно, что за путь?

И ещё какой-то глюк с большими/малыми буквами в названиях папок/файлов — core\vendor\composer\composer\src\Composer — в дистрибутиве они все с заглавной буквы идут. При заливе буквы становятся малыми…
Также может вылетать нечто подобное:
Warning: require(/var/www/u1345053/public_html/core/vendor/composer/../symfony/translation/Resources/functions.php): failed to open stream: Нет такого файла или каталога in /var/www/u1345053/public_html/core/vendor/composer/autoload_real.php on line 71

Warning: require(/var/www/u1345053/public_html/core/vendor/composer/../symfony/translation/Resources/functions.php): failed to open stream: Нет такого файла или каталога in /var/www/u1345053/public_html/core/vendor/composer/autoload_real.php on line 71

Fatal error: require(): Failed opening required '/var/www/u1345053/public_html/core/vendor/composer/../symfony/translation/Resources/functions.php' (include_path='.:') in /var/www/u1345053/public_html/core/vendor/composer/autoload_real.php on line 71
  • avatar Dmi3yy
  • 0
Вообще уже есть 3.1.3

попробуйте ее на гитхабе найти можно, на ево им завтра обновлю на актуальные
Провёл установку 3.1.2. На последнем шаге выпала ошибка

Warning: require(/var/www/u1345053/public_html/core/vendor/composer/ClassLoader.php): failed to open stream: Нет такого файла или каталога in /var/www/u1345053/public_html/core/vendor/composer/autoload_real.php on line 12

Warning: require(/var/www/u1345053/public_html/core/vendor/composer/ClassLoader.php): failed to open stream: Нет такого файла или каталога in /var/www/u1345053/public_html/core/vendor/composer/autoload_real.php on line 12

Fatal error: require(): Failed opening required '/var/www/u1345053/public_html/core/vendor/composer/ClassLoader.php' (include_path='.:') in /var/www/u1345053/public_html/core/vendor/composer/autoload_real.php on line 12
Конечно лучше свежая версия.
Но если сильно хочется покопаться то надо проверить файл lang/russian-UTF8.inc.php.
Если файл на месте, то смотрим почему относительные пути не работают.
  • avatar 3fir
  • 0
Послушайте совет главного разработчика.
Дима плохого не посоветует.
Поставьте ветку 1.4 последний релиз и будет вам щастя!
Уже прочитал в файле ))
  • avatar Dmi3yy
  • 1
Для 3 версии надо 7.3
Я буду пробовать evolution-3.1.2 с php 7.2. Надеюсь на лучшее))
  • avatar Dmi3yy
  • 1
Попробуйте версию 1.4.14 ;)
Скачать можно тут:
github.com/evolution-cms/evolution/releases/tag/1.4.14
  • avatar paic
  • 0
Спасибо!
  • avatar kassio
  • 2
Немного обновил документацию, добавил информацию по работе со страницей «Спасибо», и несколько других примеров. docs.evo.im/04_extras/commerce.html